%define 	PYVER 		2.6
%define         __python        python%{PYVER}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Library to access the contents of an iPod
Name:		libgpod
Version:	0.8.0
Release:	1	
License:	GNU/GPL
URL:		http://www.gtkpod.org/libgpod.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		libgpod-0.7.3-python26.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:	python26-devel
BuildRequires:  python26-mutagen
BuildRequires:  python26-pygobject-devel
BuildRequires:  libffi-devel
BuildRequires:  swig

#Automatically resolved build dependencies
BuildRequires: gtk2+-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gtk-sharp-devel
BuildRequires: hal-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libimobiledevice-devel
BuildRequires: libplist-devel
BuildRequires: libpng-devel
BuildRequires: libsmbios-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libusb1-devel
BuildRequires: libxml2-devel
BuildRequires: mono-core-devel
BuildRequires: pkg-config
BuildRequires: sg3-utils-devel
BuildRequires: sg3-utils
BuildRequires: sqlite-devel
BuildRequires: usbmuxd-devel
BuildRequires: util-linux-ng
BuildRequires: zlib-devel

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This code was originally part of gtkpod (www.gtkpod.org). When the iPod
content parsing code was made to be self-contained with gtkpod 0.93,
we chose to put this code in a separate library so that other project
can benefit from it without duplicating code.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package        csharp
Summary:        csharp bindings for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    csharp
csharp bindings for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
#./autogen.sh
%configure --with-python=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/ipod-read-sysinfo-extended
%{_libdir}/hal/scripts/iphone-callout
%{_libdir}/hal/scripts/libgpod-callout
%{_libdir}/libgpod.so.*
%{_datadir}/hal/fdi/policy/20thirdparty/20-libgpod-sysinfo-extended.fdi
%{_locale}/*/LC_MESSAGES/libgpod.mo
%{python_sitelib}/gpod

%files devel
%defattr(-,root,root)
%{_includedir}/gpod-1.0/gpod/itdb.h
%{_libdir}/libgpod.a
%{_libdir}/libgpod.la
%{_libdir}/libgpod.so
%{_pkgconfig}/libgpod-1.0.pc
%{_datadir}/gtk-doc/html/libgpod

%files csharp
%defattr(-,root,root)
%{_libdir}/libgpod/libgpod-sharp-test.exe
%{_libdir}/libgpod/libgpod-sharp-test.exe.mdb
%{_libdir}/libgpod/libgpod-sharp.dll
%{_libdir}/libgpod/libgpod-sharp.dll.config
%{_libdir}/libgpod/libgpod-sharp.dll.mdb
%{_libdir}/pkgconfig/libgpod-sharp.pc


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-1
- Version update
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.92-1
- Version update
* Wed Feb 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.3-2
- rebuilt against libimobiledevice 0.9.7
* Sat Jan 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.3-1
- Version update
- todays git HEAD
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 0.7.2-1
- Version update, build with explicit /usr/bin/python2.5
* Fri Mar 20 2009 Christian Metzen <metzench@ccux-linux.de> 0.7.0-1
- Version update
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Version update
* Thu Jul 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.2-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.2-1
- Version update
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.3.2-2
- rebuild against latest hal/dbus
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 0.3.2-1
- Initial Release
